%bcond_without modprobedir

Summary: Helper scripts for nvidia graphics modules
Name: nvidia-graphics-helpers
Version: 0.0.30
Release: 33%{?dist}
License: GPLv2
Group: User Interface/X Hardware Support
URL: http://atrpms.net
Source0: nvidia-config-x.py.in
Source1: nvidia-graphics-switch-new.in
Source2: nvidia-graphics-switch.in
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Helper scripts for nvidia graphics modules.

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/nvidia-graphics-helpers
sed -e's,@X_LIBRARIES@,%{_x_libraries},g' \
    -e's,@X_MODULE_PATH@,%{_x_module_path},g' \
    -e's,@LIB@,%{_lib},g' \
  < %{SOURCE0} > %{buildroot}%{_libdir}/nvidia-graphics-helpers/nvidia-config-x.py
chmod 0755 %{buildroot}%{_libdir}/nvidia-graphics-helpers/nvidia-config-x.py

mkdir -p %{buildroot}%{_sbindir}
sed -e's,@X_LIBRARIES@,%{_x_libraries},g' \
    -e's,@X_MODULE_PATH@,%{_x_module_path},g' \
    -e's,@LIB@,%{_lib},g' \
%if %{with modprobedir}
  < %{SOURCE1} > %{buildroot}%{_sbindir}/nvidia-graphics-switch
%else
  < %{SOURCE2} > %{buildroot}%{_sbindir}/nvidia-graphics-switch
%endif
chmod 0755 %{buildroot}%{_sbindir}/nvidia-graphics-switch

mkdir -p %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/fakebin << 'EOF'
#! /bin/sh

basename=`basename $0`
echo === fakebin called as $basename $@ >> /tmp/fakebin.log
if [ "$basename" = rmmod ]; then
  echo "ERROR: Module $1 does not exist in /proc/modules"
  echo === fakebin exiting with 1 >> /tmp/fakebin.log
  exit 1
elif [ "$basename" = lsmod ]; then
  echo "Module                  Size  Used by"
fi
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/fakebin
for fake in insmod ldconfig depmod modprobe rmmod lsmod; do
  ln -s fakebin %{buildroot}%{_libexecdir}/%{name}/$fake
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/nvidia-graphics-helpers/nvidia-config-x.py
%{_sbindir}/nvidia-graphics-switch
%{_libexecdir}/%{name}

%changelog
* Sun Jun 26 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.0.30-33
- modprobe backup files are now under /tmp (by Paulo Roma Cavalcanti).

* Tue May 18 2010 Paulo Roma <roma@lcg.ufrj.br> - 0.0.29-32
- Changed nvidia-graphics-switch because recent xorg is descending
  into directories.

* Tue Jan 19 2010 Paulo Roma <roma@lcg.ufrj.br> - 0.0.29-31
- Changed nvidia-graphics-switch for writing on /etc/modprobe.d
  for Fedora

* Sun Mar 16 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.0.29-30
- Fix the blacklisting output.

* Sat Mar 15 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update nvidia-graphics-switch to blacklist unused nvidia modules
  (thanks to Neil Bird and Paulo Cavalcanti).

* Sat Jan 21 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix bug #708 (Harry <ho_9@hotmail.com>).
- Make FC5/X11R7 compatible.

* Sun Mar 20 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add nvidia alias and make all paths absolute (Harry <ho_9@hotmail.com>).

* Sat Oct  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Make 64 bit safe.

* Tue May 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off nvidia-graphics rpms.
